Bug 1032052 - filebench: potentially insecure shared memory
filebench: potentially insecure shared memory
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: filebench (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Hushan Jia
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1032051
  Show dependency treegraph
 
Reported: 2013-11-19 08:14 EST by Florian Weimer
Modified: 2016-07-19 06:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:36:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Weimer 2013-11-19 08:14:02 EST
ipc.c contains this code:

        if ((filebench_shm->shm_id =
            shmget(0, size, IPC_CREAT | 0666)) == -1) {
                filebench_log(LOG_ERROR,
                    "Failed to create %zd bytes of ISM shared memory (ret = %d)", size, errno);
                return (-1);
        }

Those 0666 permission flags should be 0600.

I tried to create threads with the "useism" flag, but I couldn't reach this code.  I noticed that the final example in the "filebench -h" output does not actually work because it contains a syntax error.
Comment 3 Jaroslav Reznik 2015-03-03 10:13:05 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 4 Fedora End Of Life 2016-07-19 06:36:59 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.